No LSB modules are available

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

Terminal

Jeśli podczas wykonania polecenia:

lsb_release

lub jego pochodnych np.

lsb_release -a

napotkasz komunikat błędu:

No LSB modules are available.

oznacza to, że w systemie brakuje pakietu lsb-core. Zainstalujesz go poleceniem:

sudo apt-get install lsb-core

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • Andrzej Jirajamgo

    Tak się spytam co daje ten lbs-core ?

    • wrzomar

      Za wikipedią:
      „Linux Standard Base (LSB) to projekt mający na celu zniwelowanie różnic między dystrybucjami Linuksa poprzez wyznaczenie wspólnych standardów. 1 listopada 2005 r. specyfikacja LSB w wersji 2.0.1 stała się standardem ISO 23360.”
      A w praktyce bywa wymagany przez różne programy, np. sterownik mojej drukarki wymagał LSB. Z tego co pamiętam to w skład LSB wchodzi „alien”, bo wg LSB menadżerem pakietów powinien być rpm, a nie dpkg, a sam alien się rozwinął i przydaje się przy instalowaniu programów pochodzących z innych dystrybucji.